commit: 2dc399cee52a1d4a17dc46b988f5e8d0d7d6dd7d
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 24 07:06:53 2016 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun Apr 24 07:06:53 2016 +0000
URL: https://gitweb.gentoo.org/proj/kde-sunset.git/commit/?id=2dc399ce
eclass/kde.eclass: Fixed build with latest autoconf-archive.
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
eclass/kde.eclass | 7 +++++++
1 file changed, 7 insertions(+)
diff --git a/eclass/kde.eclass b/eclass/kde.eclass
index d156766..d57d047 100644
--- a/eclass/kde.eclass
+++ b/eclass/kde.eclass
@@ -235,6 +235,13 @@ kde_src_prepare() {
ln -s "${WORKDIR}/admin" "${KDE_S}/admin" || die "Unable to
symlink the new admin/ directory"
eend 0
fi
+
+ # >=autoconf-archive-2016.03.20 tries to include
+ # ax_cxx_compile_stdcxx.m4 which these old kde packages seek in ${S}.
+ # Create a symlink so we don't break the build.
+ if [[ -f "/usr/share/aclocal/ax_cxx_compile_stdcxx.m4" ]] ; then
+ ln -s /usr/share/aclocal/ax_cxx_compile_stdcxx.m4 "${S}" || die
+ fi
}
# @FUNCTION: kde_src_configure